FC_HOST_POST_EVENT(9)

NAME
fc_host_post_event - called to post an even on an fc_host.

SYNOPSIS

void fc_host_post_event(struct Scsi_Host * shost, u32 event_number, enum fc_host_event_code event_code, u32 event_data);

ARGUMENTS

shost
    host the event occurred on

event_number
    fc event number obtained from get_fc_event_number

event_code
    fc_host event being posted

event_data
    32bits of data for the event being posted

NOTES

This routine assumes no locks are held on entry.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT